###################################################
### chunk number 1: preliminaries
###################################################
#line 742 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
options(prompt = "R> ", continue = "+  ")


###################################################
### chunk number 2: load_data
###################################################
#line 748 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
library("mixlow")
dataFile <- "A549_vin_topo_data.txt"

trayData <- readDataFile(system.file("exdata", dataFile, package="mixlow"))

trays <- getTrays(data=trayData) 
drugs <- getDrugs(data=trayData)
cellLines <- getCellLines(data=trayData)


###################################################
### chunk number 3: prepare_data
###################################################
#line 761 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
mixlowData <- prepareData(trayData=trayData, trays=trays[1:9], 
    cellLines=cellLines[1]) 
summary(mixlowData)


###################################################
### chunk number 4: NLS
###################################################
#line 770 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
parameterDefaults <- getNlsParameterDefaults(trays=trays[1:9])
parameterDefaults["vin_tr1","param.lambda"] <- .2 
parameterDefaults["vin_tr2","param.lambda"] <- .2 
parameterDefaults["vin_tr3","param.lambda"] <- .2
nlsData <- doNls(mixlowData=mixlowData, parameterDefaults)  
summary(nlsData)


###################################################
### chunk number 5: NLME
###################################################
#line 782 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
nlmeData <- doNlme(mixlowData=mixlowData, nlsData=nlsData, analysis="multiple", 
    varFunction=4) 
summary(nlmeData)


###################################################
### chunk number 6: Loewe1
###################################################
#line 789 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
loeweData <- doLoewe(mixlowData, nlmeData) 
summary(loeweData)


###################################################
### chunk number 7: Loewe2 eval=FALSE
###################################################
## #line 793 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
## loeweData <- doLoewe(mixlowData, nlmeData) 
## plot(loeweData)


###################################################
### chunk number 8: Loewe-fig
###################################################
#line 801 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
par(mfrow = c(1, 2))
#line 793 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw#from line#802#"
loeweData <- doLoewe(mixlowData, nlmeData) 
plot(loeweData)
#line 803 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"


###################################################
### chunk number 9: anova
###################################################
#line 817 "d:/Rcompile/CRANpkg/local/2.12/mixlow/inst/doc/mixlow.Rnw"
nlmeData1 <- doNlme(mixlowData=mixlowData, nlsData= nlsData, drugs=drugs[1:3], 
    analysis="multiple", varFunction=3)
nlmeData2 <- doNlme(mixlowData=mixlowData, nlsData= nlsData, drugs=drugs[1:3], 
   analysis="multiple", varFunction=4)
model1 <- nlmeData1$nlmeModels[[1]]
model2 <- nlmeData2$nlmeModels[[1]]
anova(model1,model2)


